ToolsAppCapability Struct Reference
VMware Tools Plugins

`#include <plugin.h>`

## Data Fields

ToolsCapabilityType | type
const gchar * | name
GuestCapabilities | index
guint | value

## Detailed Description

Information about a capability supported by the application. This structure supports both old-style capabilities (which have a separate RPC message for each capability) and new-style capabilities (as defined in guestCaps.h).

The service will register all capabilities with non-zero values when the service is started (or the host asks for the service to register its capabilities).

## Field Documentation

## index

GuestCapabilities ToolsAppCapability::index

The capability entry in the enum defined in guestCaps.h. Used only for TOOLS_CAP_NEW.

## name

const gchar* ToolsAppCapability::name

For old-style, the capability name. The RPC message for setting the capability will be "tools.capability.[name]". Ignored for TOOLS_CAP_NEW.

## type

ToolsCapabilityType ToolsAppCapability::type

Identifies the type of the capability.

## value

guint ToolsAppCapability::value

The capability value. 0 means disabled. Ignored for TOOLS_CAP_OLD_NOVAL.

The documentation for this struct was generated from the following file:

- lib/include/vmware/tools/plugin.h